IterDeltaAccuracyUnderTolerance (Apache OpenNLP :: Core :: ML :: Perceptron 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.monitoring, class: IterDeltaAccuracyUnderTolerance

Package opennlp.tools.monitoring

# Class IterDeltaAccuracyUnderTolerance

java.lang.Object
opennlp.tools.monitoring.IterDeltaAccuracyUnderTolerance

All Implemented Interfaces:
  `Predicate<Double>`, `opennlp.tools.monitoring.StopCriteria<Double>`

public class IterDeltaAccuracyUnderTolerance extends Object implements opennlp.tools.monitoring.StopCriteria<Double>
A `StopCriteria` implementation to identify whether the absolute difference between the training accuracy of current and previous iteration is under the defined tolerance.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `STOP`

  ### Fields inherited from interface opennlp.tools.monitoring.StopCriteria

  `FINISHED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IterDeltaAccuracyUnderTolerance(opennlp.tools.util.Parameters trainingParameters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessageIfSatisfied()`
  `boolean`
  `test(Double deltaAccuracy)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

- ## Field Details

  - ### STOP

    public static final String STOP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IterDeltaAccuracyUnderTolerance

    public IterDeltaAccuracyUnderTolerance(opennlp.tools.util.Parameters trainingParameters)

- ## Method Details

  - ### getMessageIfSatisfied

    public String getMessageIfSatisfied()
    Specified by:
      `getMessageIfSatisfied` in interface `opennlp.tools.monitoring.StopCriteria<Double>`

  - ### test

    public boolean test(Double deltaAccuracy)
    Specified by:
      `test` in interface `Predicate<Double>`